### Namespace

# PapersDocument – 4.0

Papers is a document viewer for multiple document formats.

Version | 51.alpha
Authors | The GNOME Project
License | GPL-2-or-later
Website | https://wiki.gnome.org/Apps/Papers
Source | https://gitlab.gnome.org/GNOME/papers/

#### Build

pkg-config files | `papers-document-4.0`

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

Annotation |
AnnotationAttachment |
AnnotationFreeText |
AnnotationInk |
AnnotationMarkup |
AnnotationStamp |
AnnotationText |
AnnotationTextMarkup |
Attachment |
CertificateInfo |
Document |
FontDescription |
FormField |
FormFieldButton |
FormFieldChoice |
FormFieldSignature |
FormFieldText |
Image |
Layer |
Link |
LinkAction |
LinkDest |
Media |
Outlines |
Page |
RenderContext |
Signature |
TransitionEffect |

#### Interfaces

DocumentAnnotations |
DocumentAttachments |
DocumentFind |
DocumentFonts |
DocumentForms |
DocumentImages |
DocumentLayers |
DocumentLinks |
DocumentMedia |
DocumentPrint |
DocumentSecurity |
DocumentSignatures |
DocumentText |
DocumentTransition |
FileExporter |
Selection |

#### Structs

DocumentBackendInfo |
DocumentInfo |
DocumentLicense |
DocumentPoint | `PpsDocumentPoint` is a simple boxed structure that is used to uniquely and invariably identify any point in a document. Documents have independent coordinate systems per page, and therefore, to uniquely identify a point, it is necessary to know both the index of the page, and the coordinates of the point within that page. since: 48.0
FileExporterContext |
FindRectangle |
InkList |
InkTime |
Mapping |
MappingList |
Path |
Point |
Rectangle |

#### Aliases

BackendPage |
BackendPageDestroyFunc |

#### Enumerations

AnnotationsOverMarkup |
AnnotationTextIcon |
AnnotationTextMarkupType |
AnnotationType |
CertificateStatus |
CompressionType |
DocumentContainsJS |
DocumentLayout |
DocumentMode |
FileExporterFormat |
FormFieldButtonType |
FormFieldChoiceType |
FormFieldTextType |
LinkActionType |
LinkDestType |
SelectionStyle |
SignatureStatus |
TransitionEffectAlignment |
TransitionEffectDirection |
TransitionEffectType |

#### Bitfields

DocumentInfoFields |
DocumentLoadFlags |
DocumentPermissions |
DocumentUIHints |
FileExporterCapabilities |
FindOptions |
RenderAnnotsFlags |

#### Error Domains

DocumentError |

#### Callbacks

SignaturePasswordCallback |

#### Functions

backend_query_type |
file_compress | Compresses the file at `uri`.
file_copy_metadata | Performs a `g_file_copy_attributes()` with `G_FILE_COPY_ALL_METADATA` from `from` to `to`.
file_get_mime_type |
file_get_mime_type_from_fd |
file_is_temp |
file_uncompress | Uncompresses the file at `uri`.
init | Initializes the papers document library, and binds the papers gettext domain.
mkstemp | Creates a temp file in the papers temp directory.
mkstemp_file | Creates a temp `GFile` in the papers temp directory. See `pps_mkstemp()` for more information.
rect_cmp |
shutdown | Shuts the papers document library down.
tmp_file_unlink |
tmp_filename_unlink |
tmp_uri_unlink |
xfer_uri_simple | Performs a `g_file_copy()` from `from` to `to`.
xmp_parse | Parse XMP based document metadata into `PpsDocumentInfo`.

#### Function Macros

CHECK_VERSION | Macro to check the library version at compile time. It returns <literal>1</literal> if the version of EV is greater or equal to the required one, and <literal>0</literal> otherwise.
DEPRECATED_FOR |
UNAVAILABLE |

#### Constants

MAJOR_VERSION | The major version number of the EV library (e.g. in version 3.1.4 this is 3).